%define		status		stable
%define		pearname	PHPUnit
%define		php_min_version 5.3.3
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - regression testing framework for unit tests
Summary(pl.UTF-8):	%{pearname} - zestaw testów regresyjnych
Name:		php-phpunit-%{pearname}
Version:	3.7.27
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/PHPUnit-%{version}.tgz
# Source0-md5:	254373321f77807658540c550e13e9e1
URL:		http://www.phpunit.de/
BuildRequires:	php-channel(components.ez.no)
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-channel(pear.symfony-project.com)
BuildRequires:	php-pear >= 4:1.1-2
BuildRequires:	php-pear-PEAR >= 1:1.9.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(dom)
Requires:	php(pcre)
Requires:	php(reflection)
Requires:	php(spl)
Requires:	php-channel(pear.phpunit.de)
Requires:	php-phpunit-File_Iterator >= 1.3.1
Requires:	php-phpunit-PHPUnit_MockObject <= 1.2.99
Requires:	php-phpunit-PHPUnit_MockObject >= 1.2.0
Requires:	php-phpunit-PHP_CodeCoverage <= 1.2.99
Requires:	php-phpunit-PHP_CodeCoverage >= 1.2.1
Requires:	php-phpunit-PHP_Timer >= 1.0.4
Requires:	php-phpunit-Text_Template >= 1.1.1
Requires:	php-symfony2-Yaml <= 2.99.99
Requires:	php-symfony2-Yaml >= 2.0
Suggests:	php(json)
Suggests:	php(simplexml)
Suggests:	php(tokenizer)
Suggests:	php-phpunit-PHP_Invoker
Provides:	php-PHPUnit = %{version}
Obsoletes:	php-PHPUnit < 3.5
Obsoletes:	php-PHPUnit-tests
Obsoletes:	php-pear-PHPUnit
Obsoletes:	php-pear-PHPUnit2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. It is based upon JUnit, which can be
found at <http://www.junit.org/>.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
PHPUnit jest zestawem testów regresyjnych używanych przez developerów,
którzy implementują jednostki testowe w PHP. Jest bazowane na JUnit,
który można znaleźć pod adresem <http://www.junit.org/>.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -p usr/bin/phpunit $RPM_BUILD_ROOT%{_bindir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/.channel.pear.phpunit.de/*.reg
%attr(755,root,root) %{_bindir}/phpunit
%{php_pear_dir}/PHPUnit
%changelog
* Tue Sep 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-phpunit-PHPUnit.git;a=log;h=master

* Tue Sep 24 2013 Elan Ruusamäe <glen@delfi.ee> 6e889cd
- up to 3.7.27

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 09125b1
- up to 3.7.13

* Sun Jan 13 2013 Elan Ruusamäe <glen@delfi.ee> 9dbf9ca
- up to 3.7.12

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 99b3c74
- uses symfony2 Yaml

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 62cfbd3
- up to 3.7.8

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 9938a83
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> f9b134f
- ctype ext for PHPUnit/Util/Configuration.php

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> a9fabbd
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 7d8d28b
- updated to: 3.6.10

* Thu Nov 10 2011 Elan Ruusamäe <glen@pld-linux.org> 3b12e20
- updated to: 3.6.2

* Fri Nov 04 2011 Elan Ruusamäe <glen@pld-linux.org> 7afe151
- updated to: 3.6.1

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> da817b9
- updated to: 3.6.0

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 3372718
- updated to: 3.5.14

* Wed Jun 01 2011 Elan Ruusamäe <glen@pld-linux.org> ae043cb
- tokenizer is pretty much required

* Wed May 25 2011 Elan Ruusamäe <glen@pld-linux.org> 551bf83
- provide old php-PHPUnit for dependencies

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> bdf372d
- updated to: 3.5.13

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 4df67e1
- updated to: 3.5.12

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> c6aa850
- obsolete more phpunit packages

* Sat Feb 12 2011 Elan Ruusamäe <glen@pld-linux.org> a246b8b
- rename to conform to php-<channel>-<name> naming policy
- update to 3.5.11

* Tue Nov 23 2010 Elan Ruusamäe <glen@pld-linux.org> 0a2a3d5
- 3.5.5

